<script setup lang="ts">
import { useDirectoryStore } from '@/stores/directoryStore';
import SdgButton from '../components/SdgButton.vue';
import SdgDirectory from '../components/SdgDirectory.vue';
import { useRouter } from 'vue-router';
const router = useRouter();
import SdgSelect from '@/components/SdgSelect.vue';
import TabBar from '@/components/TabBar.vue';

const directoryStore = useDirectoryStore();
const formattedDepartments = directoryStore.departments.map((department) => ({ value: department, label: department }));

const onClick = () => {
  router.push({ name: 'panel' });
};
</script>

<template>
  <div>
    <div class="flex flex-col items-center px-8 py-12">
      <h1 class="text-6xl text-sdg-blue text-sdg">Directory</h1>
      <p class="text-2xl text-sdg-gray my-4">Learn about other SDG’ers. Win more points!</p>
      <div class="flex flex-col gap-4 md:flex-row items-center justify-center">
        <SdgSelect id="sortBy" label="Sort By" v-model="directoryStore.sortBy" :options="directoryStore.sortByOptions" />
        <SdgSelect id="department" label="Department" v-model="directoryStore.department" :options="formattedDepartments" class="xl:hidden" />
      </div>
    </div>
    <TabBar :tabs="directoryStore.departments" v-model:activeTab="directoryStore.department" class="max-xl:hidden" />
    <SdgDirectory />
    <SdgButton color="bg-sdg-blue" @onClick="onClick">
      <span class="text-black">Back to sdgpeople!</span>
    </SdgButton>
  </div>
</template>
